import { VNodeChild } from 'vue';
import { RootContent, Element, ElementContent } from 'hast';
export interface CNode extends Omit<ElementContent, 'children'> {
    children: VNodeChild[];
    node: Element;
}
export declare type Components = Record<string, (node: CNode) => VNodeChild>;
export interface Options {
    components: Components;
    transformLinkUri: (href: string, children: RootContent[], title?: string | null) => string;
}
export declare function childrenToVue(node: RootContent[], options: Options): VNodeChild[];
